QGIS Application - Bug report #18989

Value for Optional ParameterString can't be defined to None or NULL. It is translated to empty
string.

2018-05-18 07:09 PM - René-Luc RelLuc

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.18.19 Regression?: Yes
Operating System: All Easy fix?: Yes
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 26820
Description

In release-2_14, a ParameterString value can be None. So for the R scripts provider, the value is translated to NULL.

In release-2_18, a ParameterString value can't be None, it is translated to empty string. So for the R scripts provider, the value stay an
empty string.

So all the R scripts wrote for release-2_14 with optional ParameterString, has to be rewrite to be adapted to this changes.

History

#1 - 2018-05-18 07:10 PM - René-Luc ReLuc

Patch supplied: https://github.com/qgis/QGIS/pull/6943

#2 - 2018-12-24 09:47 AM - Alexander Bruy
- Resolution set to wonitfix

- Status changed from Open to Closed

As discussed in the PR there was an agreement to leave it as is.

2025-04-26 1/1



https://github.com/qgis/QGIS/pull/6943

